<!DOCTYPE html>
<html>
  <head>
     <meta charset="utf-8" />
    <title>Blague</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Press+Start+2P&family=Rubik:wght@300;900&display=swap"
      rel="stylesheet"
    />
    <link
      rel="stylesheet"
      type="text/css"
      media="screen"
      href="{baseHref}/css/index.css"
    />
    <link rel="stylesheet" href="{baseHref}/js/vendor/photoswipe5.2.3/photoswipe.css">
    <script src="{baseHref}/js/vendor/client-zip.js"></script>
    <script src="{baseHref}/js/index.js"></script>
    <script type="module">
      import PhotoSwipeLightbox from '{baseHref}/js/vendor/photoswipe5.2.3/photoswipe-lightbox.esm.js';
      const lightbox = new PhotoSwipeLightbox({
        gallery: '.gallery',
        children: 'a',
        pswpModule: () => import('{baseHref}/js/vendor/photoswipe5.2.3/photoswipe.esm.js')
      });
      lightbox.on('uiRegister', () => {
        lightbox.pswp.ui.registerElement({
          name: 'download-button',
          order: 9,
          isButton: true,
          html: {
            isCustomSVG: true,
            inner: '<path d="M20.5 14.3 17.1 18V10h-2.2v7.9l-3.4-3.6L10 16l6 6.1 6-6.1-1.5-1.6ZM23 23H9v2h14" id="pswp__icn-download"/>',
            outlineID: 'pswp__icn-download'
          },
          onClick: (event, el) => {
            fetch(pswp.options.dataSource.items[pswp.currSlide.index].href)
            .then((r) => r.blob())
            .then((blob) =>{
              const fileName = pswp.options.dataSource.items[pswp.currSlide.index].href.split('/').pop();
              downloadBlob(blob,fileName);
            });
          }
        });
      });
      lightbox.init();
    </script>    
  </head>
  <body>
    <div id="burger">
      <div class="logo">
        Blague
      </div> 
      <div class="button" class="button" onclick="toggleBurger()"> 
        |||
      </div>
    </div>
    <div id="navbar">
      <div class="logo">Blague</div>&nbsp;
      <a href="{baseHref}/index.html">home</a>
      <a href="{baseHref}/test.html">test</a>
    </div>
    <div class="content">